lib/fosphor/llist.h File Reference
Llist

Simple double-linked list. More...

`#include <stddef.h>`
Include dependency graph for lib/fosphor/llist.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | llist_head

## Macros

#define | LLIST_HEAD_INIT(name) { &(name), &(name) }
#define | LLIST_HEAD(name) struct llist_head name = LLIST_HEAD_INIT(name)
#define | llist_entry(ptr, type, member) ((type *)( (char *)(ptr) - offsetof(type, member) ))
| Get the struct for this entry. More...
#define | llist_for_each_entry(type, pos, head, member)
| Iterate over llist of given type. More...

## Functions

static void | llist_add (struct llist_head *_new, struct llist_head *head)
| Add a new entry after the specified head. More...
static void | llist_del (struct llist_head *entry)
| Deletes entry from llist. More...

## Detailed Description

Simple double-linked list.